Bug 138600 - Vertical aligned text in nested table is hidden
Summary: Vertical aligned text in nested table is hidden
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-01 14:27 UTC by Hannes
Modified: 2020-12-16 12:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of a nested table with hidden text (9.82 KB, application/vnd.oasis.opendocument.text)
2020-12-01 14:29 UTC, Hannes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hannes 2020-12-01 14:27:33 UTC
Description:
If you insert a vertical aligned text into a nested table and split the cells of another column of the parent table, then the text of the nested table is hidden.

Steps to Reproduce:
1. Insert a 2x1 table into a document (1 row with 2 columns)
2. Insert a further 1x1 nested table into the left column of the table created in step 1.
3. Insert any text into the 1x1 nested table and set the "Text orientation" to "Vertical (bottom to top)" so that the text is aligned vertically.
4. In the right column of the parent table split cells into 2 horizontal rows.

Actual Results:
The vertical aligned text in the nested table is hidden.

Expected Results:
The vertical aligned text of the nested table is displayed.


Reproducible: Always


User Profile Reset: No



Additional Info:
see attachment
Comment 1 Hannes 2020-12-01 14:29:51 UTC
Created attachment 167715 [details]
Example of a nested table with hidden text
Comment 2 Xisco Faulí 2020-12-07 16:58:14 UTC
Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 84af20ef3ea72190784e9e7be820684c2558ba8c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Xisco Faulí 2020-12-07 17:10:21 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=435ab51ec8920033b7865f27f4afee8a852a0b31

author	Miklos Vajna <vmiklos@collabora.com>	2019-10-29 15:29:59 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-10-29 18:59:41 +0100
commit	435ab51ec8920033b7865f27f4afee8a852a0b31 (patch)
tree	c9c36ad076e7aef85cc78e3af399340d3998efc8
parent	c3877269eebc591578e1c6f7e19781b26774697b (diff)
tdf#128399 sw btlr: fix clicking to lower rotated cell
In case a table has more than 1 btlr cells in multiple rows, the first
captured the mouse.

Bisected with: bibisect-linux64-6.4

Adding Cc: to Miklos Vajna
Comment 4 Commit Notification 2020-12-15 08:03:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3dabbb6a5e69b8d4f720e6671c509910f418f87c

tdf#138600 sw: fix too small print area for btlr text in nested table

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-12-16 08:09:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/20f12960ae546ab90b1e216d5ed3f0dc576f1b48

tdf#138600 sw: fix too small print area for btlr text in nested table

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-12-16 09:21:57 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 8b3982681e98818388c09233960ad6eaacee205a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-12-16 12:14:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/b4e9f8093daecec90e8294287029070262a634ac

tdf#138600 sw: fix too small print area for btlr text in nested table

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.